> ## Documentation Index
> Fetch the complete documentation index at: https://docs.thanx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Gift Cards

> This endpoint returns a paginated list of a user's active gift cards.

<Note>
  Please review proper request headers [here](/consumer/usage/headers).
</Note>

### Parameters

<Snippet file="pagination/params.mdx" />

### Response

<Snippet file="entities/gift-card.mdx" />

<Snippet file="pagination/response.mdx" />

<RequestExample>
  ```bash Get Gift Cards theme={null}
  curl https://api.thanxsandbox.com/gift_cards \
    -X GET \
    -H "Content-Type: application/json"  \
    -H "Accept-Version: v4.0" \
    -H "Accept: application/json" \
    -H "Authorization: Bearer ${token}" \
    -H "X-ClientId: ${client_id}"
  ```
</RequestExample>

<ResponseExample>
  ```json theme={null}
  {
    "gift_cards": [
      {
        "id": "abc123def456",
        "provider_id": "prov123merchant",
        "card_number": "1234567890123456",
        "pin": "1234",
        "last4": "3456",
        "balance": 50.00,
        "state": "active",
        "expires_at": "2026-12-31T23:59:59Z",
        "created_at": "2024-12-15T10:00:00Z"
      },
      {
        "id": "xyz789ghi012",
        "provider_id": "prov123merchant",
        "card_number": "9876543210987654",
        "pin": null,
        "last4": "7654",
        "balance": 25.50,
        "state": "active",
        "expires_at": null,
        "created_at": "2024-11-20T14:30:00Z"
      }
    ],
    "pagination": {
      "per_page": 10,
      "total_pages": 1,
      "current_page": 1
    }
  }
  ```
</ResponseExample>
